<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title> sch-rnd - datasheet </title>
	<meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
<!--AUTO head begin-->
	<link rel="icon" href="resources/logo16.png">
<!--AUTO head end-->
</head>
<body>

<!--AUTO navbar begin-->
<table border=0 cellspacing=2 cellpadding=10  bgcolor="#eeeeee" width="100%">
<tr>
<th align=center bgcolor="#ccc0cc"> <a href="index.html"> Main </a>
<th align=center bgcolor="#ccc0cc"> <a href="doc.html">Doc</a>&nbsp;&amp;&nbsp; <a href="http://repo.hu/cgi-bin/pool.cgi?project=sch-rnd-aux"> Knowledge pool </a> &nbsp;&amp;&nbsp; <a href="tutorial"> Tutorial </a>
<th align=center bgcolor="#ccc0cc"> <a href="state.html"> Current state </a>
<th align=center bgcolor="#ccc0cc"> <a href="http://repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=events">Events</a>&nbsp;&amp;&nbsp;<a href="http://www.repo.hu/cgi-bin/pcb-rnd-people.cgi?cmd=timeline">timeline</a>
<td align=right width="60%"> <font size="+2"><i>sch-rnd</i></font> <img src="resources/logo32.png" alt="[sch-rnd logo]">
</table>
<!--AUTO navbar end-->

<h1> sch-rnd - datasheet </h1>

<table border=1 cellspacing=0 cellpadding=5>
<tr>
	<td bgcolor="#ccccff"> layout characteristics
	<td bgcolor="#ddddff"> multiple layers (16 copper, compile time tunable limit)
                         <br> smd and through-hole components
                         <br> editable solder mask, paste, assembly, keepout, documentation drawings
                         <br> board size up to 2x2 meter at nanometer precision
                         <br> arbitrary amount of routing styles
                         <br> Design Rule Checker
<tr>
	<td bgcolor="#ccccff"> native file format
	<td bgcolor="#ddddff"> lihata (structured text tree); support for loading and saving <b>all</b> old file versions
<tr>
	<td bgcolor="#ccccff"> data model: hierarchic
	<td bgcolor="#ddddff"> single-sheet, flat multi-sheet, hierarchic multi-sheet
<tr>
	<td bgcolor="#ccccff"> data model: symbol storage
	<td bgcolor="#ddddff"> embedded (each symbol placement is a copy in the sheet) or local-lib (symbols are stored only once per sheet and multiple placement referenced within the sheet)
<tr>
	<td bgcolor="#ccccff"> data model: portability
	<td bgcolor="#ddddff"> sheet and symbol files are always self-contained and can be published without extra steps
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Load/import schematics
	<td bgcolor="#ddddff">
		<!-- begin fmt import schematics -->
 altium schematics <br>  EasyEDA std, multi-page schematics sheets <br>  geda cschem schematics (v2) <br>  lihata cschem schematics (any version) <br>  cschem non-graphical schematic sheets in fawk format <br>  cschem non-graphical schematic sheets in tEDAx format <br>  orcad schematics <br>  TinyCAD schematics
		<!-- end fmt import schematics -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Load/import symbol
	<td bgcolor="#ddddff">
		<!-- begin fmt import symbol -->
 EasyEDA std, symbol <br>  EasyEDA pro, symbol <br>  geda cschem symbol (v1) <br>  lihata cschem symbol (any version)
		<!-- end fmt import symbol -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Import misc
	<td bgcolor="#ddddff">
		<!-- begin fmt import misc -->

		<!-- end fmt import misc -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Save/export schematics
	<td bgcolor="#ddddff">
		<!-- begin fmt export schematics -->
 lihata cschem schematics (any version)
		<!-- end fmt export schematics -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Save/export symbol
	<td bgcolor="#ddddff">
		<!-- begin fmt export symbol -->
 lihata cschem symbol (any version)
		<!-- end fmt export symbol -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Export netlist
	<td bgcolor="#ddddff">
		<!-- begin fmt export netlist -->
 tEDAx netlist
		<!-- end fmt export netlist -->
<tr>
	<td bgcolor="#ccccff"> File formats:<br>Export misc
	<td bgcolor="#ddddff">
		<!-- begin fmt export misc -->
 abstract model text <br>  Bill of Materials <br>  printer (using ps) <br>  png <br>  ps <br>  eps <br>  spice <br>  svg <br>  tdx
		<!-- end fmt export misc -->
<tr>
	<td bgcolor="#ccccff"> UI options
	<td bgcolor="#ddddff"> gtk2, gtk4, lesstif (motif), batch (automated processing)
                         <br> configurable menus, keyboard and mouse actions
<tr>
	<td bgcolor="#ccccff"> symbol library
	<td bgcolor="#ddddff"> parametric symbols written in any programming language
	                       <br>optionally per system, per user, per project symbol libs
	<!--                   <br>symbols from local files-->
	<!--                   <br>symbols from the web (edakrill, gedasymbols.org)-->

<tr>
	<td bgcolor="#ccccff"> devmap library
	<td bgcolor="#ddddff"> a library of plain text files, one per device
	                       <br>can map symbol terminals to footprint pins
	                       <br>can set attributes of symbols and terminals
	                       <br>optionally per system, per user, per project devmap libs
	<!--                   <br>devmaps from local files-->
	<!--                   <br>devmaps from the web (edakrill, gedasymbols.org)-->

<tr>
	<td bgcolor="#ccccff"> scripting
	<td bgcolor="#ddddff"> embedded scripting using fungw (awk, python, lua, tcl, ruby, perl, javascript, lisp, shell, pascal, BASIC)
<tr>
	<td bgcolor="#ccccff"> helpers
	<td bgcolor="#ddddff"> renumber, simulation
	                       <br>query mini-language for finding and selecting objects by rules
<tr>
	<td bgcolor="#ccccff"> misc
	<td bgcolor="#ddddff"> flexible configuration system
	                       <br>support for small screen (800x600)
	                       <br>strong support for automated processing
                         <br>modularity (most code implemented in plugins)
                         <br>slim code, reduced external dependency, portability
</table>

</body>
</html>
